Wahlu API

Queues

Manage posting queues and time slots.

Queues automate scheduling by publishing content items at configured intervals or times of day.

List queues

GET/v1/brands/:brand_id/queues

Returns all queues for a brand. Requires schedule:read.

curl
curl https://api.wahlu.com/v1/brands/brand_abc123/queues \
  -H "Authorization: Bearer wahlu_live_your_api_key_here"
Response
{
  "success": true,
  "data": [
    {
      "id": "queue_abc123",
      "name": "Weekday Mornings",
      "brand_id": "brand_abc123",
      "active": true,
      "mode": "times_of_day",
      "times_of_day": ["09:00", "14:00"],
      "timezone": "Europe/London",
      "next_run_at": "2026-02-13T09:00:00Z",
      "loop": false,
      "content_item_ids": ["content_item_xyz789", "content_item_abc456"],
      "integration_ids": ["int_instagram_123", "int_linkedin_456"],
      "skip_count": 0,
      "created_at": "2026-01-20T08:00:00Z",
      "updated_at": "2026-02-10T12:00:00Z"
    }
  ]
}

Get a queue

GET/v1/brands/:brand_id/queues/:queue_id

Returns a single queue. Requires schedule:read.

Create a queue

POST/v1/brands/:brand_id/queues

Creates a new queue. Requires schedule:write.

Request body

ParameterTypeDescription
name*stringQueue name. Max 200 characters.
mode*stringScheduling mode (times_of_day or interval).
integration_ids*string[]Integration IDs to publish to. Max 20 items.
content_item_idsstring[]Ordered content item IDs in the queue.
curl
curl -X POST https://api.wahlu.com/v1/brands/brand_abc123/queues \
  -H "Authorization: Bearer wahlu_live_your_api_key_here" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Weekday Mornings",
    "mode": "times_of_day",
    "times_of_day": ["09:00", "14:00"],
    "timezone": "Europe/London",
    "content_item_ids": ["content_item_xyz789"],
    "integration_ids": ["int_instagram_123", "int_linkedin_456"]
  }'

Update a queue

PATCH/v1/brands/:brand_id/queues/:queue_id

Updates queue configuration. Only provided fields are changed. Requires schedule:write.

Delete a queue

DELETE/v1/brands/:brand_id/queues/:queue_id

Deletes a queue. Content items are not deleted. Requires schedule:write.